package com.app.simplitend.locationupdates;

import android.location.Location;

import androidx.annotation.NonNull;

import kotlinx.coroutines.flow.Flow;

public interface LocationClient {
    void getLocationUpdates(long interval, @NonNull DefaultLocationUpdates defaultLocationUpdates) throws LocationException;

    class LocationException extends Exception{
        public LocationException(String message){
            super(message);
        }
    }

    interface DefaultLocationUpdates{
        void locationUpdates(Location location);
    }
}
